> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Event Orchestrations

Event Orchestrations allow you to route events to an endpoint and create collections of Event Orchestrations, which define sets of actions to take based on event content.

- [List Event Orchestrations](https://docs.pagerduty.com/developer/api/reference/rest/event-orchestrations/list-event-orchestrations.md) — `GET /event_orchestrations`
- [Create an Orchestration](https://docs.pagerduty.com/developer/api/reference/rest/event-orchestrations/post-orchestration.md) — `POST /event_orchestrations`
- [Get an Orchestration](https://docs.pagerduty.com/developer/api/reference/rest/event-orchestrations/get-orchestration.md) — `GET /event_orchestrations/{id}`
- [Delete an Orchestration](https://docs.pagerduty.com/developer/api/reference/rest/event-orchestrations/delete-orchestration.md) — `DELETE /event_orchestrations/{id}`
- [Update an Orchestration](https://docs.pagerduty.com/developer/api/reference/rest/event-orchestrations/update-orchestration.md) — `PUT /event_orchestrations/{id}`
- [List Integrations for an Event Orchestration](https://docs.pagerduty.com/developer/api/reference/rest/event-orchestrations/list-orchestration-integrations.md) — `GET /event_orchestrations/{id}/integrations`
- [Create an Integration for an Event Orchestration](https://docs.pagerduty.com/developer/api/reference/rest/event-orchestrations/post-orchestration-integration.md) — `POST /event_orchestrations/{id}/integrations`
- [Get an Integration for an Event Orchestration](https://docs.pagerduty.com/developer/api/reference/rest/event-orchestrations/get-orchestration-integration.md) — `GET /event_orchestrations/{id}/integrations/{integration_id}`
- [Delete an Integration for an Event Orchestration](https://docs.pagerduty.com/developer/api/reference/rest/event-orchestrations/delete-orchestration-integration.md) — `DELETE /event_orchestrations/{id}/integrations/{integration_id}`
- [Update an Integration for an Event Orchestration](https://docs.pagerduty.com/developer/api/reference/rest/event-orchestrations/update-orchestration-integration.md) — `PUT /event_orchestrations/{id}/integrations/{integration_id}`
- [Migrate an Integration from one Event Orchestration to another](https://docs.pagerduty.com/developer/api/reference/rest/event-orchestrations/migrate-orchestration-integration.md) — `POST /event_orchestrations/{id}/integrations/migration`
- [Get the Global Orchestration for an Event Orchestration](https://docs.pagerduty.com/developer/api/reference/rest/event-orchestrations/get-orch-path-global.md) — `GET /event_orchestrations/{id}/global`
- [Update the Global Orchestration for an Event Orchestration](https://docs.pagerduty.com/developer/api/reference/rest/event-orchestrations/update-orch-path-global.md) — `PUT /event_orchestrations/{id}/global`
- [Get the Router for an Event Orchestration](https://docs.pagerduty.com/developer/api/reference/rest/event-orchestrations/get-orch-path-router.md) — `GET /event_orchestrations/{id}/router`
- [Update the Router for an Event Orchestration](https://docs.pagerduty.com/developer/api/reference/rest/event-orchestrations/update-orch-path-router.md) — `PUT /event_orchestrations/{id}/router`
- [Get the Unrouted Orchestration for an Event Orchestration](https://docs.pagerduty.com/developer/api/reference/rest/event-orchestrations/get-orch-path-unrouted.md) — `GET /event_orchestrations/{id}/unrouted`
- [Update the Unrouted Orchestration for an Event Orchestration](https://docs.pagerduty.com/developer/api/reference/rest/event-orchestrations/update-orch-path-unrouted.md) — `PUT /event_orchestrations/{id}/unrouted`
- [Get the Service Orchestration for a Service](https://docs.pagerduty.com/developer/api/reference/rest/event-orchestrations/get-orch-path-service.md) — `GET /event_orchestrations/services/{service_id}`
- [Update the Service Orchestration for a Service](https://docs.pagerduty.com/developer/api/reference/rest/event-orchestrations/update-orch-path-service.md) — `PUT /event_orchestrations/services/{service_id}`
- [Get the Service Orchestration active status for a Service](https://docs.pagerduty.com/developer/api/reference/rest/event-orchestrations/get-orch-active-status.md) — `GET /event_orchestrations/services/{service_id}/active`
- [Update the Service Orchestration active status for a Service](https://docs.pagerduty.com/developer/api/reference/rest/event-orchestrations/update-orch-active-status.md) — `PUT /event_orchestrations/services/{service_id}/active`
- [List Cache Variables for a Global Event Orchestration](https://docs.pagerduty.com/developer/api/reference/rest/event-orchestrations/list-cache-var-on-global-orch.md) — `GET /event_orchestrations/{id}/cache_variables`
- [Create a Cache Variable for a Global Event Orchestration](https://docs.pagerduty.com/developer/api/reference/rest/event-orchestrations/create-cache-var-on-global-orch.md) — `POST /event_orchestrations/{id}/cache_variables`
- [Get a Cache Variable for a Global Event Orchestration](https://docs.pagerduty.com/developer/api/reference/rest/event-orchestrations/get-cache-var-on-global-orch.md) — `GET /event_orchestrations/{id}/cache_variables/{cache_variable_id}`
- [Delete a Cache Variable for a Global Event Orchestration](https://docs.pagerduty.com/developer/api/reference/rest/event-orchestrations/delete-cache-var-on-global-orch.md) — `DELETE /event_orchestrations/{id}/cache_variables/{cache_variable_id}`
- [Update a Cache Variable for a Global Event Orchestration](https://docs.pagerduty.com/developer/api/reference/rest/event-orchestrations/update-cache-var-on-global-orch.md) — `PUT /event_orchestrations/{id}/cache_variables/{cache_variable_id}`
- [Get Data for an External Data Cache Variable on a Global Event Orchestration](https://docs.pagerduty.com/developer/api/reference/rest/event-orchestrations/get-external-data-cache-var-data-on-global-orch.md) — `GET /event_orchestrations/{id}/cache_variables/{cache_variable_id}/data`
- [Delete Data for an External Data Cache Variable on a Global Event Orchestration](https://docs.pagerduty.com/developer/api/reference/rest/event-orchestrations/delete-external-data-cache-var-data-on-global-orch.md) — `DELETE /event_orchestrations/{id}/cache_variables/{cache_variable_id}/data`
- [Update Data for an External Data Cache Variable on a Global Event Orchestration](https://docs.pagerduty.com/developer/api/reference/rest/event-orchestrations/update-external-data-cache-var-data-on-global-orch.md) — `PUT /event_orchestrations/{id}/cache_variables/{cache_variable_id}/data`
- [List Cache Variables for a Service Event Orchestration](https://docs.pagerduty.com/developer/api/reference/rest/event-orchestrations/list-cache-var-on-service-orch.md) — `GET /event_orchestrations/services/{service_id}/cache_variables`
- [Create a Cache Variable for a Service Event Orchestration](https://docs.pagerduty.com/developer/api/reference/rest/event-orchestrations/create-cache-var-on-service-orch.md) — `POST /event_orchestrations/services/{service_id}/cache_variables`
- [Get a Cache Variable for a Service Event Orchestration](https://docs.pagerduty.com/developer/api/reference/rest/event-orchestrations/get-cache-var-on-service-orch.md) — `GET /event_orchestrations/services/{service_id}/cache_variables/{cache_variable_id}`
- [Delete a Cache Variable for a Service Event Orchestration](https://docs.pagerduty.com/developer/api/reference/rest/event-orchestrations/delete-cache-var-on-service-orch.md) — `DELETE /event_orchestrations/services/{service_id}/cache_variables/{cache_variable_id}`
- [Update a Cache Variable for a Service Event Orchestration](https://docs.pagerduty.com/developer/api/reference/rest/event-orchestrations/update-cache-var-on-service-orch.md) — `PUT /event_orchestrations/services/{service_id}/cache_variables/{cache_variable_id}`
- [Get Data for an External Data Cache Variable on a Service Event Orchestration](https://docs.pagerduty.com/developer/api/reference/rest/event-orchestrations/get-external-data-cache-var-data-on-service-orch.md) — `GET /event_orchestrations/services/{service_id}/cache_variables/{cache_variable_id}/data`
- [Delete Data for an External Data Cache Variable on a Service Event Orchestration](https://docs.pagerduty.com/developer/api/reference/rest/event-orchestrations/delete-external-data-cache-var-data-on-service-orch.md) — `DELETE /event_orchestrations/services/{service_id}/cache_variables/{cache_variable_id}/data`
- [Update Data for an External Data Cache Variable on a Service Event Orchestration](https://docs.pagerduty.com/developer/api/reference/rest/event-orchestrations/update-external-data-cache-var-data-on-service-orch.md) — `PUT /event_orchestrations/services/{service_id}/cache_variables/{cache_variable_id}/data`
- [List Enablements for an Event Orchestration](https://docs.pagerduty.com/developer/api/reference/rest/event-orchestrations/list-event-orchestration-feature-enablements.md) — `GET /event_orchestrations/{id}/enablements`
- [Update an Enablement for an Event Orchestration](https://docs.pagerduty.com/developer/api/reference/rest/event-orchestrations/update-event-orchestration-feature-enablements.md) — `PUT /event_orchestrations/{id}/enablements/{feature_name}`

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
